Write files
POST
https://api.vercel.com/v2/sandboxes/sessions/{sessionId}/fs/writeUploads and extracts files to a session's filesystem. Files must be uploaded as a gzipped tarball (
.tar.gz) with the Content-Type header set to application/gzip. The tarball contents are extracted to the session's working directory, or to a custom directory specified via the x-cwd header.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.sandboxes.writeSessionFiles({ xCwd: "/home/vercel-sandbox", sessionId: "sbx_abc123", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
"value"AuthorizationbearerToken
Default authentication mechanism
200The files were successfully written to the session.
400One of the provided values in the request query is invalid.
One of the provided values in the headers is invalid
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error
429Error
500Error